Package org.apache.sling.cms.core.internal.rewriter

## Class ReferenceMappingTransformer

- java.lang.Object
- - org.apache.sling.cms.core.internal.rewriter.ReferenceMappingTransformer

All Implemented Interfaces:
  `org.apache.sling.rewriter.Transformer`, `ContentHandler`

    public class ReferenceMappingTransformer
    extends Object
    implements org.apache.sling.rewriter.Transformer

A Sling Rewriter Transformer which maps references to images, links, etc that are contained in the Sling repository.

### Constructor Summary

Constructors
`ReferenceMappingTransformer​(ReferenceMappingTransformerConfig config, org.apache.sling.caconfig.resource.ConfigurationResourceResolver resolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters​(char[] ch, int start, int length)`
`void` `dispose()`
`void` `endDocument()`
`void` `endElement​(String uri, String localName, String qName)`
`void` `endPrefixMapping​(String prefix)`
`void` `ignorableWhitespace​(char[] ch, int start, int length)`
`void` `init​(org.apache.sling.rewriter.ProcessingContext context, org.apache.sling.rewriter.ProcessingComponentConfiguration cfg)`
`void` `processingInstruction​(String target, String data)`
`void` `setContentHandler​(ContentHandler handler)`
`void` `setDocumentLocator​(Locator locator)`
`void` `skippedEntity​(String name)`
`void` `startDocument()`
`void` `startElement​(String uri, String localName, String qName, Attributes atts)`
`void` `startPrefixMapping​(String prefix, String uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceMappingTransformer

    public ReferenceMappingTransformer​(ReferenceMappingTransformerConfig config,
                                       org.apache.sling.caconfig.resource.ConfigurationResourceResolver resolver)

### Method Detail

#### setDocumentLocator

    public void setDocumentLocator​(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

#### startDocument

    public void startDocument()
                       throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### endDocument

    public void endDocument()
                     throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

#### startPrefixMapping

    public void startPrefixMapping​(String prefix,
                                   String uri)
                            throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

#### endPrefixMapping

    public void endPrefixMapping​(String prefix)
                          throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement​(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

#### ignorableWhitespace

    public void ignorableWhitespace​(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

#### processingInstruction

    public void processingInstruction​(String target,
                                      String data)
                               throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

#### skippedEntity

    public void skippedEntity​(String name)
                       throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.apache.sling.rewriter.Transformer`

#### init

    public void init​(org.apache.sling.rewriter.ProcessingContext context,
                     org.apache.sling.rewriter.ProcessingComponentConfiguration cfg)
              throws IOException

Specified by:
  `init` in interface `org.apache.sling.rewriter.Transformer`
Throws:
  `IOException`

#### setContentHandler

    public void setContentHandler​(ContentHandler handler)

Specified by:
  `setContentHandler` in interface `org.apache.sling.rewriter.Transformer`